Jump to content

KiwiBird1255

Veteran Driver IV
  • Content Count

    4
  • Joined

  • Last visited

Community Reputation

0 Truck?

About KiwiBird1255

  • Rank
    No Cargo
  • Birthday 08/14/1999

Profile Information

  • Gender
    Male
  • Preferred Trucks
    Kenworth
  • American Garage Location
    Nevada: Las Vegas
  • EU Garage Location
    Germany: München

Recent Profile Visitors

115 profile views
  1. It was a problem with my anti virus and I fixed the problem by allowing the file to the anti virus allow thingy so it works now, Thanks!
  2. Still the same error, I have re-installed the game, re-installed the mod, I have no clue what could be the problem. The install directory's are still as same as they were before and it worked previously on older updates
  3. I recently updated the ETS2MP and when I try to launch I get this error "Could not validate game version. Would you like to try again?" I hit yes and same error, any ideas would be greatly appreciated
×
×
  • Create New...